Bug 960 - Large open files causes internal error signal 11 smb_panic
Large open files causes internal error signal 11 smb_panic
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.1
All Linux
: P3 critical
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-12 14:00 UTC by Martin Hogg
Modified: 2005-11-14 09:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Hogg 2004-01-12 14:00:10 UTC
Samba hosted on Redhat 8.0 on Athalon 1400 with 256 Ram. Memory test on 
hardware with memtest86 proved OK.

Client (martini) is a WIN XP Pro SP1a, running Outlook 2000.

The fault apears as Outlook complaining that it cannot access the data file on 
the server. The file ia about 200M. Restarts of Outlook have no effect. 
Restarting samba is required.

[2004/01/09 17:30:55, 0] smbd/oplock.c:oplock_break(801)
  oplock_break: receive_smb error (Connection reset by peer)
  oplock_break failed for file profile/NTUSER.DAT (dev = 3a01, inode = 16713, 
file_id = 6296).
[2004/01/09 17:30:55, 0] smbd/oplock.c:oplock_break(891)
  oplock_break: client failure in break - shutting down this smbd.
[2004/01/09 17:30:55, 1] smbd/service.c:close_cnum(887)
  martini (192.168.1.44) closed connection to service lina
[2004/01/09 17:30:55, 1] smbd/service.c:close_cnum(887)
  martini (192.168.1.44) closed connection to service lina
[2004/01/09 17:31:23, 0] smbd/oplock.c:request_oplock_break(1023)
  request_oplock_break: no response received to oplock break request to pid 
1328 on port 33991 for dev = 3a01, inode = 16713, file_id = 6296
[2004/01/09 17:31:29, 1] smbd/service.c:make_connection_snum(705)
  martini (192.168.1.44) connect to service netlogon initially as user lina 
(uid=505, gid=100) (pid 14590)
[2004/01/09 17:31:31, 1] smbd/service.c:make_connection_snum(705)
  martini (192.168.1.44) connect to service data initially as user lina 
(uid=505, gid=100) (pid 14590)
[2004/01/09 17:32:24, 1] smbd/service.c:close_cnum(887)
  martini (192.168.1.44) closed connection to service lina
[2004/01/09 19:32:13, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/01/09 19:32:13, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 14590 (3.0.1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/01/09 19:32:13, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/01/09 19:32:13, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2004/01/09 19:32:13, 0] lib/util.c:smb_panic(1408)
  BACKTRACE: 23 stack frames:
   #0 smbd(smb_panic+0x11c) [0x81bb83c]
   #1 smbd [0x81aa162]
   #2 smbd [0x42028c48]
   #3 smbd [0x42073ab7]
   #4 smbd(malloc+0x95) [0x42073155]
   #5 smbd(Realloc+0xd7) [0x81bae17]
   #6 smbd(convert_string_allocate+0x42f) [0x81a7f3f]
   #7 smbd(push_ucs2_allocate+0x49) [0x81a87f9]
   #8 smbd(unix_strupper+0x24) [0x81a8084]
   #9 smbd(strupper_m+0x42) [0x81b4d52]
   #10 smbd [0x80d0bfa]
   #11 smbd [0x80d1672]
   #12 smbd(mangle_map+0x82) [0x80cf562]
   #13 smbd [0x80aba46]
   #14 smbd [0x80ac9fe]
   #15 smbd(reply_trans2+0x6d3) [0x80b4c23]
   #16 smbd [0x80c8433]
   #17 smbd [0x80c8629]
   #18 smbd(process_smb+0x89) [0x80c8839]
   #19 smbd(smbd_process+0x167) [0x80c9487]
   #20 smbd(main+0x4c0) [0x8227fc0]
   #21 smbd(__libc_start_main+0xa4) [0x420158d4]
   #22 smbd(chroot+0x31) [0x8076721]
[2004/01/09 19:32:13, 1] smbd/service.c:make_connection_snum(705)
  martini (192.168.1.44) connect to service data initially as user lina 
(uid=505, gid=100) (pid 15302)
[2004/01/09 19:32:21, 1] smbd/service.c:make_connection_snum(705)
  martini (192.168.1.44) connect to service lina initially as user lina 
(uid=505, gid=100) (pid 15302)
[2004/01/09 23:33:08, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/01/09 23:33:08, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 15302 (3.0.1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/01/09 23:33:08, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/01/09 23:33:08, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2004/01/09 23:33:08, 0] lib/util.c:smb_panic(1408)
  BACKTRACE: 23 stack frames:
   #0 smbd(smb_panic+0x11c) [0x81bb83c]
   #1 smbd [0x81aa162]
   #2 smbd [0x42028c48]
   #3 smbd [0x42073ab7]
   #4 smbd(malloc+0x95) [0x42073155]
   #5 smbd(Realloc+0xd7) [0x81bae17]
   #6 smbd(convert_string_allocate+0x42f) [0x81a7f3f]
   #7 smbd(push_ucs2_allocate+0x49) [0x81a87f9]
   #8 smbd(unix_strupper+0x24) [0x81a8084]
   #9 smbd(strupper_m+0x42) [0x81b4d52]
   #10 smbd [0x80d0bfa]
   #11 smbd [0x80d1672]
   #12 smbd(mangle_map+0x82) [0x80cf562]
   #13 smbd [0x80aba46]
   #14 smbd [0x80ac9fe]
   #15 smbd(reply_trans2+0x6d3) [0x80b4c23]
   #16 smbd [0x80c8433]
   #17 smbd [0x80c8629]
   #18 smbd(process_smb+0x89) [0x80c8839]
   #19 smbd(smbd_process+0x167) [0x80c9487]
   #20 smbd(main+0x4c0) [0x8227fc0]
   #21 smbd(__libc_start_main+0xa4) [0x420158d4]
   #22 smbd(chroot+0x31) [0x8076721]
[2004/01/09 23:33:08, 1] smbd/service.c:make_connection_snum(705)
  martini (192.168.1.44) connect to service data initially as user lina 
(uid=505, gid=100) (pid 17500)
[2004/01/09 23:33:23, 1] smbd/service.c:make_connection_snum(705)
  martini (192.168.1.44) connect to service lina initially as user lina 
(uid=505, gid=100) (pid 17500)
[2004/01/10 01:33:53, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/01/10 01:33:53, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 17500 (3.0.1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/01/10 01:33:53, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/01/10 01:33:53, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2004/01/10 01:33:53, 0] lib/util.c:smb_panic(1408)
  BACKTRACE: 23 stack frames:
   #0 smbd(smb_panic+0x11c) [0x81bb83c]
   #1 smbd [0x81aa162]
   #2 smbd [0x42028c48]
   #3 smbd [0x42074409]
   #4 smbd(__libc_realloc+0x196) [0x42073416]
   #5 smbd(Realloc+0x80) [0x81badc0]
   #6 smbd(convert_string_allocate+0x3e7) [0x81a7ef7]
   #7 smbd(push_ucs2_allocate+0x49) [0x81a87f9]
   #8 smbd(unix_strupper+0x24) [0x81a8084]
   #9 smbd(strupper_m+0x42) [0x81b4d52]
   #10 smbd [0x80d0bfa]
   #11 smbd [0x80d1672]
   #12 smbd(mangle_map+0x82) [0x80cf562]
   #13 smbd [0x80aba46]
   #14 smbd [0x80ac9fe]
   #15 smbd(reply_trans2+0x6d3) [0x80b4c23]
   #16 smbd [0x80c8433]
   #17 smbd [0x80c8629]
   #18 smbd(process_smb+0x89) [0x80c8839]
   #19 smbd(smbd_process+0x167) [0x80c9487]
   #20 smbd(main+0x4c0) [0x8227fc0]
   #21 smbd(__libc_start_main+0xa4) [0x420158d4]
   #22 smbd(chroot+0x31) [0x8076721]
[2004/01/10 01:33:53, 1] smbd/service.c:make_connection_snum(705)
  martini (192.168.1.44) connect to service data initially as user lina 
(uid=505, gid=100) (pid 17845)
[2004/01/10 01:34:02, 1] smbd/service.c:make_connection_snum(705)
  martini (192.168.1.44) connect to service lina initially as user lina 
(uid=505, gid=100) (pid 17845)
[2004/01/10 03:34:26, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/01/10 03:34:26, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 17845 (3.0.1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/01/10 03:34:26, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/01/10 03:34:26, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2004/01/10 03:34:26, 0] lib/util.c:smb_panic(1408)
  BACKTRACE: 23 stack frames:
   #0 smbd(smb_panic+0x11c) [0x81bb83c]
   #1 smbd [0x81aa162]
   #2 smbd [0x42028c48]
   #3 smbd [0x42074409]
   #4 smbd(__libc_realloc+0x196) [0x42073416]
   #5 smbd(Realloc+0x80) [0x81badc0]
   #6 smbd(convert_string_allocate+0x3e7) [0x81a7ef7]
   #7 smbd(push_ucs2_allocate+0x49) [0x81a87f9]
   #8 smbd(unix_strupper+0x24) [0x81a8084]
   #9 smbd(strupper_m+0x42) [0x81b4d52]
   #10 smbd [0x80d0bfa]
   #11 smbd [0x80d1672]
   #12 smbd(mangle_map+0x82) [0x80cf562]
   #13 smbd [0x80aba46]
   #14 smbd [0x80ac9fe]
   #15 smbd(reply_trans2+0x6d3) [0x80b4c23]
   #16 smbd [0x80c8433]
   #17 smbd [0x80c8629]
   #18 smbd(process_smb+0x89) [0x80c8839]
   #19 smbd(smbd_process+0x167) [0x80c9487]
   #20 smbd(main+0x4c0) [0x8227fc0]
   #21 smbd(__libc_start_main+0xa4) [0x420158d4]
   #22 smbd(chroot+0x31) [0x8076721]
[2004/01/10 03:34:26, 1] smbd/service.c:make_connection_snum(705)
  martini (192.168.1.44) connect to service data initially as user lina 
(uid=505, gid=100) (pid 18179)
[2004/01/10 03:34:33, 0] smbd/oplock.c:process_local_message(417)
  process_local_message: unknown UDP message command code (40da) - ignoring.
[2004/01/10 03:34:33, 0] smbd/oplock.c:process_local_message(417)
  process_local_message: unknown UDP message command code (40da) - ignoring.
[2004/01/10 03:34:33, 1] smbd/service.c:make_connection_snum(705)
  martini (192.168.1.44) connect to service lina initially as user lina 
(uid=505, gid=100) (pid 18179)
[2004/01/10 04:02:24, 0] rpc_server/srv_pipe.c:api_pipe_netsec_process(1371)
  failed to decode PDU
[2004/01/10 04:02:24, 0] rpc_server/srv_pipe_hnd.c:process_request_pdu(605)
  process_request_pdu: failed to do schannel processing.
[2004/01/10 07:35:23, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/01/10 07:35:23, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 18179 (3.0.1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/01/10 07:35:23, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/01/10 07:35:23, 0] lib/util.c:smb_panic(1400)
  PANIC: internal error
[2004/01/10 07:35:23, 0] lib/util.c:smb_panic(1408)
  BACKTRACE: 15 stack frames:
   #0 smbd(smb_panic+0x11c) [0x81bb83c]
   #1 smbd [0x81aa162]
   #2 smbd [0x42028c48]
   #3 smbd [0x42073ab7]
   #4 smbd(malloc+0x95) [0x42073155]
   #5 smbd(Realloc+0xd7) [0x81bae17]
   #6 smbd [0x80af693]
   #7 smbd(reply_trans2+0x7e4) [0x80b4d34]
   #8 smbd [0x80c8433]
   #9 smbd [0x80c8629]
   #10 smbd(process_smb+0x89) [0x80c8839]
   #11 smbd(smbd_process+0x167) [0x80c9487]
   #12 smbd(main+0x4c0) [0x8227fc0]
   #13 smbd(__libc_start_main+0xa4) [0x420158d4]
   #14 smbd(chroot+0x31) [0x8076721]
[2004/01/10 07:35:23, 1] smbd/service.c:make_connection_snum(705)
  martini (192.168.1.44) connect to service data initially as user lina 
(uid=505, gid=100) (pid 20235)
[2004/01/10 07:35:36, 1] smbd/service.c:make_connection_snum(705)
  martini (192.168.1.44) connect to service lina initially as user lina 
(uid=505, gid=100) (pid 20235)
[2004/01/10 07:46:34, 0] rpc_server/srv_pipe.c:api_pipe_netsec_process(1371)
  failed to decode PDU
[2004/01/10 07:46:34, 0] rpc_server/srv_pipe_hnd.c:process_request_pdu(605)
  process_request_pdu: failed to do schannel processing.
[2004/01/10 08:28:07, 0] smbd/oplock.c:oplock_break(807)
  oplock_break: receive_smb timed out after 30 seconds.
  oplock_break failed for file Picasso HR/Training material/Coaching/ACT 
coaching HO1.doc (dev = 3a01, inode = 210124, file_id = 293).
[2004/01/10 08:28:07, 0] smbd/oplock.c:oplock_break(879)
  oplock_break: client failure in oplock break in file Picasso HR/Training 
material/Coaching/ACT coaching HO1.doc
[2004/01/10 08:28:59, 1] smbd/service.c:close_cnum(887)
  martini (192.168.1.44) closed connection to service lina

 Regards,


Martin Hogg
Comment 1 Gerald (Jerry) Carter 2004-03-16 11:51:35 UTC
should be addressed by 3.0.2a.  Closing bug.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:21:57 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:25:39 UTC
database cleanup